// compile:   g++ -Wall    NameSpaces-CPP.cpp -o NameSpaces-CPP
// assembler: g++ -Wall -S NameSpaces-CPP.cpp -o NameSpaces-CPP.s
// symbols (as is):     nm    NameSpaces
// symbols (demangled): nm -C NameSpaces

// Questions
//  -Is there any runtime cost associated with this?
//  -How is "using namespace" used to specify default namespaces?
//  -What is the difference between "iostream" and "iostream.h"?
//  -How is "using" used to specify default functions, classes, etc.?
//  -What is argument dependent (Koenig) name lookup? (advanced)

#include <iostream>

namespace Broken {
  double square(double x) {
    return x*x*x;
  }
}

namespace Good {
  float square(float x) {
    return x*x;
  }
}

int main() {
  float num1;
  float num2;

  std::cin >> num1 
           >> num2;

  num1 = Broken::square(num1);
  num2 = Good::square(num2);

  std::cout << num1 << std::endl
            << num2 << std::endl;

  return 0;
}

